%set_verify_elf_method textrel=relaxed

%define	plugindir	/usr/lib/vdr
%define pname 		rotor

Name: vdr-%pname
Version: 0.0.5
Release: alt1

Summary: Diseqc motorised dish control plugin for VDR
Summary(ru_RU.UTF-8): Модуль управления антенной с мотоподвесом для VDR
License: GPL
Group: Video
URL: http://www.olivierjacques.com/vdr/prefermenu
Source0: %name-%version-vdr1.3.tgz
Patch0: russian-rotor-0.0.5.diff
BuildPreReq: kernel-headers-dvb vdr-devel 
BuildRequires: gcc-c++ libjpeg-devel libstdc++-devel vdr-devel
Requires: vdr

%description
With this plugin you can control a diseqc motor.

%description -l ru_RU.UTF-8
Позволяет управлять положением антенны с моторизованным подвесом посредством Diseqc.

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

%patch0 -p1

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir

%files
%plugindir/*
%doc PLUGINS/src/%pname/README


%changelog
* Sat Feb 14 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.5-alt1
- Initial build, translation
